| Home | Libraries | People | FAQ | More

## Class template year_based_generator

boost::date_time::year_based_generator —

Base class for all generators that take a year and produce a date.

## Synopsis

    template<typename date_type>
    class year_based_generator {
    public:
      // types
      typedef date_type::calendar_type calendar_type;
      typedef calendar_type::year_type year_type;

      // construct/copy/destruct
      year_based_generator();
      ~year_based_generator();

      // public member functions
      virtual date_type get_date(year_type) const;
    };

## Description

This class is a base class for polymorphic function objects that take a year and produce a concrete date.

### `year_based_generator` construct/copy/destruct

1.     year_based_generator();

2.     ~year_based_generator();

### `year_based_generator` public member functions

1.     virtual date_type get_date(year_type y) const;

| Copyright © 2001-2004 CrystalClear Software, Inc